Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Returns monthly trend data for a given metric.
cURL
curl --request GET \ --url https://api.rewind.rest/v1/listening/trends \ --header 'Authorization: Bearer <token>'
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api.rewind.rest/v1/listening/trends', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requests url = "https://api.rewind.rest/v1/listening/trends" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
{ "metric": "scrobbles", "data": [ { "period": "2026-01", "value": 552 }, { "period": "2026-02", "value": 501 }, { "period": "2026-03", "value": 387 } ] }
{ "error": "Not found", "status": 404 }
API key. Read keys (rw_live_...) access GET endpoints. Admin keys (rw_admin_...) access all endpoints.
scrobbles
artists
albums
tracks
"scrobbles"
"2024-01-01T00:00:00.000Z"
"2024-12-31T23:59:59.999Z"
Trend data
Show child attributes